org.red5.server.service

## Class NotAllowedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.red5.server.service.NotAllowedException

All Implemented Interfaces:
  Serializable

    public class NotAllowedException
    extends RuntimeException

Thrown when a client is not allowed to execute a method.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NotAllowedException()`
`NotAllowedException(String message)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NotAllowedException

    public NotAllowedException()

#### NotAllowedException

    public NotAllowedException(String message)